ApiMcp servers
Update an MCP server
Update an MCP server's configuration by ID. Validates name uniqueness if changed.
Path Parameters
server_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://loading/api/v1/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"display_name": "string",
"description": "string",
"icon_url": "string",
"type": "remote",
"status": "pending",
"config": {},
"source": "manual",
"source_doc_url": "string",
"sync_schedule": "manual",
"credential_mode": "managed",
"last_synced_at": "2019-08-24T14:15:22Z",
"tool_sync_hash": "string",
"last_error": "string",
"enriched_error": {
"category": "package_not_found",
"raw_message": "string",
"user_message": "string",
"action_type": "fix_config",
"action_label": "string",
"action_url": "string",
"action_data": {},
"extracted_values": [
"string"
]
},
"portal_visible": false,
"portal_category": "string",
"portal_tags": [
"string"
],
"oauth_config": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"tool_count": 0,
"mcp_endpoint_url": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}